<template>
  <div id="search">
    
    <h2>Search</h2>

    
  <div class="mdl-textfield mdl-js-textfield mdl-textfield--expandable">
    <label class="mdl-button mdl-js-button mdl-button--icon" for="sample6">
      <i class="material-icons">search</i>
    </label>
    <div class="mdl-textfield__expandable-holder">
      <input class="mdl-textfield__input" type="text" id="sample6" name="textUser" v-on:change="getUsers($event)">
     
    </div>
  </div>
  <!-- <button @click="getUser(textUser)" class="mdl-button mdl-js-button mdl-button--raised mdl-button--colored">
            Search
        </button> -->

 


<ul class="demo-list-two mdl-list">
  <li class="mdl-list__item mdl-list__item--two-line" v-for="item in users" v-bind:key="item.id">
    <span class="mdl-list__item-primary-content">
      <span><img v-bind:src="item.avatar_url" alt="avatar" style="max-width:50px; max-height:50px"> </span>
    </span>
    <span class="mdl-list__item-primary-content">
       <span class="mdl-list__item-sub-title">{{item.login}}</span>
       <!-- <span class="mdl-list__item-sub-title">{{item.repos}} Repositories</span>
      <span class="mdl-list__item-sub-title">{{item.followers}} Followers</span> -->

 <span class="mdl-list__item-primary-content">
      <span  class="mdl-list__item-title">Score: {{item.score}}</span>
    </span>
    </span>
    <span class="mdl-list__item-secondary-content">
      <span class="mdl-list__item-secondary-info">Details</span>
      <a class="mdl-list__item-secondary-action" v-bind:href="'#/user/'+item.login"><i class="material-icons">link</i></a>
    </span>
  </li>
  
</ul>
  </div>
</template>

<script>
import { mapActions } from "vuex";
import { mapState } from "vuex";
import { mapGetters } from "vuex";

export default {
  name: "Search",
  computed: {
    ...mapGetters({ textUser: "textStatus" }, { time: "timeStatus" }),
    ...mapState(["users", "textUser"]),

    username: function() {
      return this.$route.params.username;
    }
  },
  methods: {
    getUsers(event) {
      console.log(event.target.value);
      this.$store.dispatch("getUsers", event.target.value);
    },
    
  }
};
</script>

<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}

h1,
h2 {
  font-weight: normal;
}

ul {
  list-style-type: none;
  padding: 0;
}

li {
  display: inline-block;
  margin: 0 10px;
}

a {
  color: #42b983;
}
</style>
